Page MenuHomePhabricator

Remove "Create a book" link from sidebar on English Wikipedia
Closed, ResolvedPublic

Description

Per consensus at VPT, please remove the "Create a book" link (#coll-create_a_book) from the sidebar (under "Print/export").

See also thread on MediaWiki_talk:Common.css.

Event Timeline

Yair_rand created this task.Jan 1 2020, 4:09 PM
Restricted Application added subscribers: Liuxinyu970226, Aklapper. · View Herald TranscriptJan 1 2020, 4:09 PM
TheDJ added a subscriber: TheDJ.Jan 1 2020, 7:04 PM

Change 561401 had a related patch set uploaded (by Pppery; owner: Pppery):
[mediawiki/extensions/Collection@master] Add configuration setting to disable Book Creator link on sidebar

https://gerrit.wikimedia.org/r/561401

DannyS712 claimed this task.Jan 2 2020, 2:45 AM
Restricted Application added a project: User-DannyS712. · View Herald TranscriptJan 2 2020, 2:45 AM
DannyS712 reassigned this task from DannyS712 to Pppery.Jan 2 2020, 2:45 AM
DannyS712 removed a project: User-DannyS712.
Pppery added a comment.Jan 2 2020, 2:48 AM

Now comes the really long wait before my patch is reviewed.

Now comes the really long wait before my patch is reviewed.

FYI, there is going to need to be another patch too - setting the config to false on enwiki

Pppery added a comment.Jan 2 2020, 2:50 AM

I knew that, but I thought I would start with the code patch, given that I have more experience with code patches that config patches.

I knew that, but I thought I would start with the code patch, given that I have more experience with code patches that config patches.

Do you want me to submit a config patch?

Change 561403 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[operations/mediawiki-config@master] Remove "Create a book" link on enwiki

https://gerrit.wikimedia.org/r/561403

DannyS712 moved this task from Unsorted to In progress on the User-DannyS712 board.Jan 2 2020, 3:09 AM

Yes.

{{done}}

Izno added a subscriber: Izno.Jan 2 2020, 3:50 PM
DannyS712 triaged this task as Medium priority.Jan 6 2020, 12:10 AM
Raymond added a subscriber: Raymond.Jan 9 2020, 5:21 PM

Noooooo, I'll miss this :(

Noooooo, I'll miss this :(

Do you want a user script to restore the link?

Krinkle added a subscriber: cscott.
Jdlrobson added subscribers: ovasileva, Jdlrobson.

@ovasileva looks like community can take care of the SWAT deploy here. Moving out of the sprint board. Thanks @Pppery and @DannyS712 let me know if we can help in any way!

Change 561401 merged by jenkins-bot:
[mediawiki/extensions/Collection@master] Add configuration setting to disable Book Creator link on sidebar

https://gerrit.wikimedia.org/r/561401

DannyS712 claimed this task.May 1 2020, 3:05 PM
DannyS712 added a subscriber: Pppery.

Now comes the really long wait before my patch is reviewed.

Thanks for the +2 @Jdlrobson

@ovasileva looks like community can take care of the SWAT deploy here. Moving out of the sprint board. Thanks @Pppery and @DannyS712 let me know if we can help in any way!

Not urgent enough to backport, will SWAT the config change next week after the train with the new setting rolls out

Claiming so this shows up in my TODO to schedule for SWAT next week

Scheduled for SWAT: Monday, May 11 18:00–19:00 UTC Morning SWAT

Change 561403 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove "Create a book" link on enwiki

https://gerrit.wikimedia.org/r/561403

Mentioned in SAL (#wikimedia-operations) [2020-05-11T18:51:32Z] <catrope@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Remove "Create a book" link on enwiki (T241683) (duration: 00m 57s)

DannyS712 closed this task as Resolved.May 11 2020, 6:52 PM
DannyS712 reassigned this task from DannyS712 to Pppery.
DannyS712 removed a project: Patch-For-Review.